# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Cole Kendrick colej.kendrick@gmail.com Alexander Kendrick kentalex8@gmail.com
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import os,time
from gi.repository import Gio

SCHEMA = 'org.gnome.desktop.background'
KEY = 'picture-uri'

minute = 60
configPath = '/home/%s/.config/pictoric/pictoric.conf' %(os.environ['USER'])
config = open("%s" % (configPath), 'r')
sourceFolder = config.readline()
sourceFolder = sourceFolder.strip()
sourceInterval = config.readline()
sourceInterval = sourceInterval.strip()
config.close()
print "Starting wallpaper slideshow with folder->'%s' and interval->%s" % (sourceFolder,sourceInterval)
gsettings = Gio.Settings.new(SCHEMA)
while True:
    for name in os.listdir(sourceFolder):
        background = (os.path.join(sourceFolder, name))
        if name.endswith(".jpg") or name.endswith(".png") or name.endswith(".jpeg"):
            time.sleep(float(sourceInterval)*minute)
            gsettings.set_string(KEY, "file://" + background)
            print "Set new background '%s' in %s minute(s)!" % (background, sourceInterval)
        else:
            print "Warning: Tried setting background, but '%s' is not a image file!" % (background)
