# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-
### BEGIN LICENSE
# Copyright (C) 2012 Cole Kendrick colej.kendrick@gmail.com Alexander Kendrick kentalex8@gmail.com
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

import optparse, gettext, os, locale
TEXTDOMAIN = 'pictoric'
LOCALEDIR = '/opt/extras.ubuntu.com/pictoric/share/locale'
from locale import gettext as _
locale.bindtextdomain(TEXTDOMAIN, LOCALEDIR)
locale.textdomain(TEXTDOMAIN)

from gi.repository import Gtk # pylint: disable=E0611

from pictoric import PictoricWindow
from pictoric import PictoricInit
from pictoric_lib import set_up_logging, get_version

#from pictoric import pictoric_main
def parse_options():
    """Support for command line options"""
    parser = optparse.OptionParser(version="%%prog %s" % get_version())
    parser.add_option(
        "-v", "--verbose", action="count", dest="verbose",
        help=_("Show debug messages (-vv debugs pictoric_lib also)"))
    (options, args) = parser.parse_args()

    set_up_logging(options)

def main():
    'constructor for your class instances'
    parse_options()
    
    # Run the application.    
    window = PictoricWindow.PictoricWindow()
    window.show()
    window.connect("delete-event", PictoricWindow.PictoricWindow.button_cancel)
    config= open("/home/%s/.config/pictoric/pictoric.conf" % (os.environ['USER']), 'r')
    sourceFolder = config.readline()
    sourceFolder = sourceFolder.rstrip('\n')
    sourceInterval = config.readline()
    config.close()
    PictoricInit.InitDisplay(window, window.builder, sourceFolder,sourceInterval)
    Gtk.main()
    config = open("/home/%s/.config/pictoric/pictoric.conf" % (os.environ['USER']), 'r')
    sourceFolder = config.readline()
    sourceFolder = sourceFolder.rstrip('\n')
    sourceInterval = config.readline()
    config.close()
    while True:
        slideshow = window.changer(sourceFolder,sourceInterval)

